GET /hub/v1/approvals-v2

Retrieves all approval items that belong to the current user. To filter the results, use the request parameters and supported operators. For example, GET ../approvals?f[objecttype][undefined]=CMSAsset1,JobUrl1&f[objectid][undefined]=1 retrieves all approval items where Objecttype equals to CMSAsset or JobUrl AND where objectId equals 1. The response includes details of the approval and workflow items, with the current state and the transitions available for the current user’s roles. Use the GET /approvals-v2/{id} resource with available objectType and objectId values to retrieve a single approval item.

NameTypeDescription
f[workflowState]StringThe state of the workflow. Possible values: draft, submitted, reviewed, returned, approved, defining. This filter supports eq and not operators.
f[workflowType]StringType of workflow. This filter supports eq and not operators.
f[objectType]StringObject type. This filter supports eq and not operators.
f[cmsAssetType]StringAsset type. This filter supports eq and not operators.
f[objectId]StringThe ID of the object. This filter supports gt, gte, lt, lte, eq, and not operators.
f[deadline]StringDeadline for approval. This filter supports gt, gte, lt, lte, eq, and not operators. For example, GET ../approvals?f[deadline][undefined]='2015-12-08T12:00Z' retrieves all approval items where the deadline is greater than or equal to 2015-12-08, with a time offset of 12:00Z.
$pageSizeIntThe number of records to return in each page of results.
$pageIntThe current page number.
sortStringThe sorting method to apply to results. Specify a field name and a sort order (ASC or DESC). Possible field names: Name, CreatedDate, WorkflowState, Deadline.
StatusNameTypeDescription
200  Response includes a list of approval items.
 countStringNumber of records retrieved
 pageStringCurrent page number
 pageSizeStringNumber of records on each page
 commentCountsObjectComment counts
 commentCounts.openStringNumber of comments that are open
 commentCounts.addressedStringNumber of comments that are addressed
 commentCounts.completedStringNumber of comments that are completed
 commentCounts.totalStringTotal number of comments
 itemsArrayList of approval items
 items.approvalItemIdStringId for approval item
 items.objectTypeStringObject type for approval item
 items.objectIdStringUnique Id of the object associated with the approval item
 items.nameStringName of the approval item
 items.descriptionStringDescription of the approval item
 items.workflowItemIdStringId of the workflow item
 items.workflowStateStringWorkflow state of the approval item
 items.workflowTypeStringType of the workflow
 items.workflowNameStringName of the workflow
 items.deadlineArrayDeadline for the approval item
 items.commentCountsObjectComment counts
 items.commentCounts.openStringNumber of comments that are open
 items.commentCounts.addressedStringNumber of comments that are addressed
 items.commentCounts.completedStringNumber of comments that are completed
 items.commentCounts.totalStringTotal number of comments
 items.workflowItemObjectWorkflow item object
 items.workflowItem.workflowItemIdStringWorkflow item id
 items.workflowItem.workflowRoundStringWorkflow round
 items.workflowItem.typeStringWorkflow type
 items.workflowItem.currentStateObjectCurrent state of the workflow
 items.workflowItem.currentState.stateIdStringId of the current state
 items.workflowItem.currentState.stateNameStringCurrent state name
 items.workflowItem.currentState.isEndStateStringIs the current state the final state?
 items.workflowItem.currentState.modifiedDateStringDate the workflow item is modified
 items.workflowItem.availableTransitionsArrayCollection of available workflow states
 items.workflowItem.availableTransitions.idStringId of the available workflow state
 items.workflowItem.availableTransitions.nameStringName of the available workflow state
 items.workflowItem.availableTransitions.isPersistableStringDefines if the workflow item is persistable
 items.blockedStringDefines if emails will be sent out. If blocked = true, then emails won't be sent.
    
400_OrderByInvalid  The GET request parameter - $OrderBy is invalid and thus the request can't be processed.
 messageStringThe GET request parameter - $OrderBy is invalid and thus the request can't be processed.
 errorcodeStringError code for the exception (10000)
    
400_OperatorNotSupported  The operator 'neq' isn't supported.
 messageStringThe operator 'neq' isn't supported.
 errorcodeStringError code for the exception (10000)
    
400_FilterInvalid  The GET request filter parameter is invalid and thus the request can't be processed.
 messageStringThe GET request filter parameter is invalid and thus the request can't be processed
 errorcodeStringError code for the exception (10000)